<?xml version="1.0" encoding="TIS-620"?><MTIME0 desc_thai="ตารางเวลาการทำงาน" desc_eng="Time Working Table" editcheck="true" mainhelp="MTIME0HELP" referhelp="MTIME0HELP" mainkey="TIME0ID" fieldsystem="*" protype="table" deleteflag="true" config_field="" dependlevel="true">
	<FIELD>
		<TIME0ID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Time ID</DESC_ENG>
			<DESC_THAI>รหัสเวลา</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสเวลา</ALT_THAI>
				<ALT_ENG>Time ID</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
			<GROUP>defaultfield</GROUP>
		</TIME0ID>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
		   <KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
				<ALT_ENG>Company ID</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
			<GROUP>defaultfield</GROUP>
		</COMPANYID>
		<TDESC lang="T" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EDESC</REFER_LANG>
			<DESC_ENG>Desc. (Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด (ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>70</SIZE>
				<ALT_THAI>รายละเอียด (ไทย)</ALT_THAI>
				<ALT_ENG>Desc. (Thai)</ALT_ENG>				
			</COMPONENT>
			<REQUIRE>TRUE</REQUIRE>
			<GROUP>defaultfield</GROUP>
		</TDESC>
		<EDESC lang="E" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TDESC</REFER_LANG>
			<DESC_ENG>Desc. (Eng.)</DESC_ENG>
			<DESC_THAI>รายละเอียด (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>70</SIZE>
				<ALT_THAI>รายละเอียด (อังกฤษ)</ALT_THAI>
				<ALT_ENG>Desc. (Eng.)</ALT_ENG>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</EDESC>
		<AMTPERIOD lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Swiping Range</DESC_ENG>
			<DESC_THAI>ช่วงที่รูดบัตร</DESC_THAI>
			<COMPONENT type="list">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_THAI>ช่วงที่รูดบัตร</ALT_THAI>
				<ALT_ENG>Swiping Range</ALT_ENG>
				<VALIDCODE>SWIPING</VALIDCODE>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
			<GROUP>defaultfield</GROUP>
		</AMTPERIOD>
		<ABSENT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>3</WIDTH>
			<RELATION>MEVENTGRP</RELATION>
			<DESC_ENG>Absent Type</DESC_ENG>
			<DESC_THAI>ประเภทการขาดงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_THAI>Absent Type</ALT_THAI>
				<ALT_ENG>ประเภทการขาดงาน</ALT_ENG>
			</COMPONENT>
			<APPNAME name="TA">
			<DESC_ENG>Absent Type</DESC_ENG>
			<DESC_THAI>ประเภทการขาดงาน</DESC_THAI>
				<COMPONENT type="text">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_THAI>ประเภทการขาดงาน</ALT_THAI>
				<ALT_ENG>Absent Type</ALT_ENG>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>

		</ABSENT>
		<APP_OT lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>OT Approve</DESC_ENG>
			<DESC_THAI>อนุมัติโอที</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>OT Approve</ALT_ENG>
				<ALT_THAI>อนุมัติโอที</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
			<APPNAME name="TA">
			<DESC_ENG>OT Approve</DESC_ENG>
			<DESC_THAI>อนุมัติโอที</DESC_THAI>
				<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>OT Approve [HHMM]</ALT_ENG>
				<ALT_THAI>อนุมัติโอที [HHMM]</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>
		</APP_OT>
		<HOUR_D lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Hour : Days</DESC_ENG>
			<DESC_THAI>ชั่วโมง : วัน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Hour : Days</ALT_ENG>
				<ALT_THAI>ชั่วโมง : วัน</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
			<APPNAME name="TA">
			<DESC_ENG>Hour : Days</DESC_ENG>
			<DESC_THAI>ชั่วโมง : วัน</DESC_THAI>
				<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Hour : Days [HHMM]</ALT_ENG>
				<ALT_THAI>ชั่วโมง : วัน [HHMM]</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>

		</HOUR_D>
		<HOUR_M lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>7</WIDTH>
			<DESC_ENG>Hour : Months</DESC_ENG>
			<DESC_THAI>ชั่วโมง : เดือน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>7</MAXSIZE>
				<SIZE>7</SIZE>
				<ALT_ENG>Hour : Months [HHMM]</ALT_ENG>
				<ALT_THAI>ชั่วโมง : เดือน [HHMM]</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>delDot(this);</ONFOCUS>
				<ONKEYPRESS>chkInteger(this);</ONKEYPRESS>
				<ONBLUR>chkTimeOver(this,744,0);</ONBLUR>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>

		</HOUR_M>
		<HOUR_W lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>7</WIDTH>
			<DESC_ENG>Hour : Weeks</DESC_ENG>
			<DESC_THAI>ชั่วโมง : สัปดาห์</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>7</MAXSIZE>
				<SIZE>7</SIZE>
				<ALT_ENG>Hour : Weeks [HHMM]</ALT_ENG>
				<ALT_THAI>ชั่วโมง : สัปดาห์ [HHMM]</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>delDot(this);</ONFOCUS>
				<ONKEYPRESS>chkInteger(this);</ONKEYPRESS>
				<ONBLUR>chkTimeOver(this,168,0);</ONBLUR>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>

		</HOUR_W>
		<LATESTANG lang="A" encrypt="false" log="false" type="String">
			<WIDTH>3</WIDTH>
			<RELATION>MROUND</RELATION>
			<DESC_ENG>Late Rounding</DESC_ENG>
			<DESC_THAI>ปัดเวลามาสาย</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_THAI>ปัดเวลามาสาย</ALT_THAI>
				<ALT_ENG>Late Rounding</ALT_ENG>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>

		</LATESTANG>
		<LATESTICK lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Late Allowance</DESC_ENG>
			<DESC_THAI>เวลาอนุโลมสาย</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Late Allowance</ALT_ENG>
				<ALT_THAI>เวลาอนุโลมสาย</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		<APPNAME name="TA">
			<DESC_ENG>Late Allowance</DESC_ENG>
			<DESC_THAI>เวลาอนุโลมสาย</DESC_THAI>
				<COMPONENT type="text"><MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Late Allowance [HHMM]</ALT_ENG>
				<ALT_THAI>เวลาอนุโลมสาย [HHMM]</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);passValue(__maxlate, this);</ONBLUR>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>

		</LATESTICK>
		<MAXLATE lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Max. Late</DESC_ENG>
			<DESC_THAI>เวลาสายสูงสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max. Late</ALT_ENG>
				<ALT_THAI>เวลาสายสูงสุด</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
			<APPNAME name="TA">
			<DESC_ENG>Max. Late</DESC_ENG>
			<DESC_THAI>เวลาสายสูงสุด</DESC_THAI>
				<COMPONENT type="text"><MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max. Late [HHMM]</ALT_ENG>
				<ALT_THAI>เวลาสายสูงสุด [HHMM]</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);passValue(this, __latestick);</ONBLUR>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>

		</MAXLATE>
		<MAXTMIN lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Max. Early Start </DESC_ENG>
			<DESC_THAI>เวลาเข้างานก่อนมากสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max. Early Start</ALT_ENG>
				<ALT_THAI>เวลาเข้างานก่อนมากสุด</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
<APPNAME name="TA">
			<DESC_ENG>Max. Early Start</DESC_ENG>
			<DESC_THAI>เวลาเข้างานก่อนมากสุด</DESC_THAI>
				<COMPONENT type="text"><MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max. Early Start [HHMM]</ALT_ENG>
				<ALT_THAI>เวลาเข้างานก่อนมากสุด [HHMM]</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);passValue(this,__maxot_b);</ONBLUR>
			</COMPONENT></APPNAME>
		<GROUP>defaultfield</GROUP>

		</MAXTMIN>
		<MAXTMLATE lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Max. Delay</DESC_ENG>
			<DESC_THAI>เวลาเข้างานช้ามากสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max. Delay</ALT_ENG>
				<ALT_THAI>เวลาเข้างานช้ามากสุด</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		<APPNAME name="TA">
			<DESC_ENG>Max. Delay</DESC_ENG>
			<DESC_THAI>เวลาเข้างานช้ามากสุด</DESC_THAI>
				<COMPONENT type="text"><MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max. Delay [HHMM]</ALT_ENG>
				<ALT_THAI>เวลาเข้างานช้ามากสุด [HHMM]</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this)</ONBLUR>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>

		</MAXTMLATE>
		<MAXTMSTOP lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Max. Early Leaving</DESC_ENG>
			<DESC_THAI>เวลาออกก่อนมากสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max. Early Leaving</ALT_ENG>
				<ALT_THAI>เวลาออกก่อนมากสุด</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		<APPNAME name="TA">
			<DESC_ENG>Max. Early Leaving</DESC_ENG>
			<DESC_THAI>เวลาออกก่อนมากสุด</DESC_THAI>
				<COMPONENT type="text"><MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max. Early Leaving [HHMM]</ALT_ENG>
				<ALT_THAI>เวลาออกก่อนมากสุด [HHMM]</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>

		</MAXTMSTOP>
		<OTSTANG lang="A" encrypt="false" log="false" type="String">
			<WIDTH>3</WIDTH>
			<RELATION>V1MROUND</RELATION>
			<DESC_ENG>OT Rounding</DESC_ENG>
			<DESC_THAI>ปัดเวลาโอที</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_THAI>ปัดเวลาโอที</ALT_THAI>
				<ALT_ENG>OT Rounding</ALT_ENG>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>

		</OTSTANG>
		<PUNC_OT lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>1</WIDTH>
			<DESC_ENG>OT Hours Entry</DESC_ENG>
			<DESC_THAI>บันทึกเวลาการทำโอที</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>OT Hours Entry</ALT_ENG>
				<ALT_THAI>บันทึกเวลาการทำโอที</ALT_THAI>
				<VALIDCODE>YESNO</VALIDCODE>
				<VALUE>1</VALUE>
				<ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>

		</PUNC_OT>
		<REFER lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Refer</DESC_ENG>
			<DESC_THAI>อ้างอิง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>อ้างอิง</ALT_THAI>
				<ALT_ENG>Refer</ALT_ENG>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>

		</REFER>
		<STICKTM lang="A" encrypt="false" log="false" type="String">
			<WIDTH>3</WIDTH>
			<DESC_ENG>Fixed time</DESC_ENG>
			<DESC_THAI>ทำงานเป็นเวลา</DESC_THAI>
			<COMPONENT type="list">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_THAI>ทำงานเป็นเวลา</ALT_THAI>
				<ALT_ENG>Fixed time</ALT_ENG>
				<VALIDCODE>FIX_TIME</VALIDCODE>
			</COMPONENT>
			<APPNAME name="TA">
			<DESC_ENG>Fixed time</DESC_ENG>
			<DESC_THAI>ทำงานเป็นเวลา</DESC_THAI>
				<COMPONENT type="list">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_THAI>ทำงานเป็นเวลา</ALT_THAI>
				<ALT_ENG>Fixed time</ALT_ENG>
				<VALIDCODE>FIX_TIME</VALIDCODE>
				<DEFAULTVALUE>Y</DEFAULTVALUE>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>

		</STICKTM>
		<STOPSTANG lang="A" encrypt="false" log="false" type="String">
			<WIDTH>3</WIDTH>
			<RELATION>V2MROUND</RELATION>
			<DESC_ENG>Leave Rounding</DESC_ENG>
			<DESC_THAI>ปัดเวลาการลา</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_THAI>ปัดเวลาการลา</ALT_THAI>
				<ALT_ENG>Leave Rounding</ALT_ENG>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>

		</STOPSTANG>
		<STP_OT lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Break before OT</DESC_ENG>
			<DESC_THAI>ชม.หยุดพักก่อนทำโอที</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Break before OT</ALT_ENG>
				<ALT_THAI>ชม.หยุดพักก่อนทำโอที</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
			<APPNAME name="TA">
			<DESC_ENG>Break before OT</DESC_ENG>
			<DESC_THAI>ชม.หยุดพักก่อนทำโอที</DESC_THAI>
				<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Break before OT [HHMM]</ALT_ENG>
				<ALT_THAI>ชม.หยุดพักก่อนทำโอที [HHMM]</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>

		</STP_OT>
		<TIMESWING lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Swipe card on galloping shift</DESC_ENG>
			<DESC_THAI>ทำงานต่อกะต้องรูดบัตร</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Swipe card on galloping shif</ALT_ENG>
				<ALT_THAI>ทำงานต่อกะต้องรูดบัตร</ALT_THAI>
				<VALIDCODE>YESNO</VALIDCODE>
				<VALUE>1</VALUE>
				<ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>

		</TIMESWING>
		<MIN_OT lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Min. OT</DESC_ENG>
			<DESC_THAI>เวลาทำโอทีอย่างต่ำ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Min. OT</ALT_ENG>
				<ALT_THAI>เวลาทำโอทีอย่างต่ำ</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
			<APPNAME name="TA">
			<DESC_ENG>Min. OT</DESC_ENG>
			<DESC_THAI>เวลาทำโอทีอย่างต่ำ</DESC_THAI>
				<COMPONENT type="text"><MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Min. OT [HHMM]</ALT_ENG>
				<ALT_THAI>เวลาทำโอทีอย่างต่ำ [HHMM]</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);passValue(__max_ot, this);</ONBLUR>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>

		</MIN_OT>
		<MAX_OT lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Max. OT</DESC_ENG>
			<DESC_THAI>เวลาทำโอทีสูงสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max. OT</ALT_ENG>
				<ALT_THAI>เวลาทำโอทีสูงสุด</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		<APPNAME name="TA">
			<DESC_ENG>Max. OT</DESC_ENG>
			<DESC_THAI>เวลาทำโอทีสูงสุด</DESC_THAI>
				<COMPONENT type="text"><MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max. OT [HHMM]</ALT_ENG>
				<ALT_THAI>เวลาทำโอทีสูงสุด [HHMM]</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>

		</MAX_OT>
		<MINOT_B lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Min OT before Work</DESC_ENG>
			<DESC_THAI>ช.ม.โอที ทำงานก่อนต่ำสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Min OT before Work</ALT_ENG>
				<ALT_THAI>ช.ม.โอที ทำงานก่อนต่ำสุด</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
			<APPNAME name="TA">
			<DESC_ENG>Min OT before Work</DESC_ENG>
			<DESC_THAI>ช.ม.โอที ทำงานก่อนต่ำสุด</DESC_THAI>
				<COMPONENT type="text"><MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Min OT before Work [HHMM]</ALT_ENG>
				<ALT_THAI>ช.ม.โอที ทำงานก่อนเวลาต่ำสุด [HHMM]</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);passValue(__maxot_b, this);</ONBLUR>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>

		</MINOT_B>
		<MAXOT_B lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Max. OT before Work</DESC_ENG>
			<DESC_THAI>ช.ม.โอที ทำงานก่อนเวลาสูงสุด </DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max. OT before Work</ALT_ENG>
				<ALT_THAI>ช.ม.โอที ทำงานก่อนสูงสุด</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		<APPNAME name="TA">
			<DESC_ENG>Max. OT before Work</DESC_ENG>
			<DESC_THAI>ช.ม.โอที ทำงานก่อนสูงสุด</DESC_THAI>
				<COMPONENT type="text"><MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max. OT before Work [HHMM]</ALT_ENG>
				<ALT_THAI>ช.ม.โอที ทำงานก่อนเวลาสูงสุด [HHMM]</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);passValue(this, __minot_b);passValue(__maxtmin, this);</ONBLUR>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>

		</MAXOT_B>
		<MINOT_M lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Min. OT break</DESC_ENG>
			<DESC_THAI>เวลาทำโอทีพักอย่างต่ำ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Min. OT break [HHMM]</ALT_ENG>
				<ALT_THAI>เวลาทำโอทีพักอย่างต่ำ [HHMM]</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
			<GROUP>defaultfield</GROUP>

		</MINOT_M>
		<MAXOT_M lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Max. OT break</DESC_ENG>
			<DESC_THAI>เวลาทำโอทีพักสูงสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max. OT break [HHMM]</ALT_ENG>
				<ALT_THAI>เวลาทำ OT พักสูงสุด [HHMM]</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
			<GROUP>defaultfield</GROUP>

		</MAXOT_M>
		<MIDSTANG lang="A" encrypt="false" log="false" type="String">
			<WIDTH>3</WIDTH>
			<RELATION>V3MROUND</RELATION>
			<DESC_ENG>Mid Stang</DESC_ENG>
			<DESC_THAI>ปัดเวลาโอทีพัก</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_THAI>ปัดเวลาโอทีพัก</ALT_THAI>
				<ALT_ENG>Mid Stang</ALT_ENG>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>

		</MIDSTANG>
		<MIDLTSTANG lang="A" encrypt="false" log="false" type="String">
			<WIDTH>3</WIDTH>
			<RELATION>V4MROUND</RELATION>
			<DESC_ENG>Mid Late Stang</DESC_ENG>
			<DESC_THAI>ปัดเวลาพักสาย</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_THAI>ปัดเวลาพักสาย</ALT_THAI>
				<ALT_ENG>Mid Late Stang</ALT_ENG>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>

		</MIDLTSTANG>
		<APP_MID lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Approve Mid OT</DESC_ENG>
			<DESC_THAI>อนุมัติโอทีพัก</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Approve Mid OT</ALT_ENG>
				<ALT_THAI>อนุมัติโอทีพัก</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
			<APPNAME name="TA">
			<DESC_ENG>Approve Mid OT</DESC_ENG>
			<DESC_THAI>อนุมัติโอทีพัก</DESC_THAI>
				<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>4</SIZE>
				<ALT_ENG>Approve Mid OT [HHMM]</ALT_ENG>
				<ALT_THAI>อนุมัติโอทีพัก [HHMM]</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>

		</APP_MID>
		<MIDSWIPE lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Mid Swipe Card</DESC_ENG>
			<DESC_THAI>รูดบัตรซ้ำห่างกันช่วงพัก</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Mid Swipe Card</ALT_ENG>
				<ALT_THAI>รูดบัตรซ้ำห่างกันช่วงพัก</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		<APPNAME name="TA">
			<DESC_ENG>Mid Swipe Card</DESC_ENG>
			<DESC_THAI>รูดบัตรซ้ำห่างกันช่วงพัก</DESC_THAI>
				<COMPONENT type="text"><MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Mid Swipe Card</ALT_ENG>
				<ALT_THAI>รูดบัตรซ้ำห่างกันช่วงพัก</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>

		</MIDSWIPE>
		<MXMDSTOP lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Max Mid Stop</DESC_ENG>
			<DESC_THAI>เวลาออกก่อนพักมากสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max Mid Stop [HHMM]</ALT_ENG>
				<ALT_THAI>เวลาออกก่อนพักมากสุด [HHMM]</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
			<GROUP>defaultfield</GROUP>
		</MXMDSTOP>
		<MXMDLATE lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Max Mid Late</DESC_ENG>
			<DESC_THAI>เวลาเข้างานช้าหลังพักมากสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max Mid Late [HHMM]</ALT_ENG>
				<ALT_THAI>เวลาเข้างานช้าหลังพักมากสุด [HHMM]</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
			<GROUP>defaultfield</GROUP>
		</MXMDLATE>
		<MAXMIDTM lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Max Mid Break</DESC_ENG>
			<DESC_THAI>เวลาพักมากสุดไม่เกิน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Max Mid Break [HHMM]</ALT_ENG>
				<ALT_THAI>เวลาพักมากสุดไม่เกิน [HHMM]</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
			<GROUP>defaultfield</GROUP>
		</MAXMIDTM>
		<DBSWIPE lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Swiping Interval</DESC_ENG>
			<DESC_THAI>รูดบัตรซ้ำห่างกัน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Swiping Interval</ALT_ENG>
				<ALT_THAI>รูดบัตรซ้ำห่างกัน</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT>
<APPNAME name="TA">
			<DESC_ENG>Swiping Interval</DESC_ENG>
			<DESC_THAI>รูดบัตรซ้ำห่างกัน</DESC_THAI>
				<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Swiping Interval</ALT_ENG>
				<ALT_THAI>รูดบัตรซ้ำห่างกัน</ALT_THAI>
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>
		</DBSWIPE>
		<HOLIDAY lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Holiday Effected</DESC_ENG>
			<DESC_THAI>วันหยุดมีผลกับกะนี้</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Holiday Effected</ALT_ENG>
				<ALT_THAI>วันหยุดมีผลกับกะนี้</ALT_THAI>
				<VALIDCODE>YESNO</VALIDCODE>
				<VALUE>1</VALUE>
				<ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</HOLIDAY>
		<FGTYPE lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Assign work time, if missing</DESC_ENG>
			<DESC_THAI>ใส่เวลาให้อัตโนมัติถ้าลืมรูด</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Assign work time, if missing</ALT_ENG>
				<ALT_THAI>ใส่เวลาให้อัตโนมัติถ้าลืมรูด</ALT_THAI>
				<VALIDCODE>YESNO</VALIDCODE>
				<VALUE>1</VALUE>
				<ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</FGTYPE>
		<FGTIMEIN1 lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Forgot Time IN 1</DESC_ENG>
			<DESC_THAI>ลืมรูดเข้า 1</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Forgot Time IN 1</ALT_ENG>
				<ALT_THAI>ลืมรูดเข้า 1</ALT_THAI>
				<VALIDCODE>YESNO</VALIDCODE>
				<VALUE>1</VALUE>
				<ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</FGTIMEIN1>
		<FGTIMEOUT1 lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Forgot Time OUT 1</DESC_ENG>
			<DESC_THAI>ลืมรูดออก 1</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Forgot Time OUT 1</ALT_ENG>
				<ALT_THAI>ลืมรูดออก 1</ALT_THAI>
				<VALIDCODE>YESNO</VALIDCODE>
				<VALUE>1</VALUE>
				<ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</FGTIMEOUT1>
		<FGTIMEIN2 lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Forgot Time IN 2</DESC_ENG>
			<DESC_THAI>ลืมรูดเข้า 2</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Forgot Time IN 2</ALT_ENG>
				<ALT_THAI>ลืมรูดเข้า 2</ALT_THAI>
				<VALIDCODE>YESNO</VALIDCODE>
				<VALUE>1</VALUE>
				<ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</FGTIMEIN2>
		<FGTIMEOUT2 lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Forgot Time OUT 2</DESC_ENG>
			<DESC_THAI>ลืมรูดออก 2</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Forgot Time OUT 2</ALT_ENG>
				<ALT_THAI>ลืมรูดออก 2</ALT_THAI>
				<VALIDCODE>YESNO</VALIDCODE>
				<VALUE>1</VALUE>
				<ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</FGTIMEOUT2>
		<PICTURE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>200</WIDTH>
			<DESC_ENG>Picture Path</DESC_ENG>
			<DESC_THAI>ที่เก็บรูปภาพ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>200</MAXSIZE>
				<SIZE>70</SIZE>
				<ALT_THAI>ที่เก็บรูปภาพ</ALT_THAI>
				<ALT_ENG>Picture Path</ALT_ENG>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</PICTURE>
		<HOLIDAYCODE lang="A" encrypt="fafse" log="false" type="String">
			<WIDTH>2</WIDTH>
			<RELATION>MHOLIDAY0</RELATION>
			<DESC_ENG>Holiday Code</DESC_ENG>
			<DESC_THAI>รหัสกลุ่มวันหยุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>2</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_THAI>รหัสกลุ่มวันหยุด</ALT_THAI>
				<ALT_ENG>Holiday Code</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
			<GROUP>defaultfield</GROUP>
		</HOLIDAYCODE>
		<CONSOLIDATE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Consolidate</DESC_ENG>
			<DESC_THAI>Consolidate</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>Consolidate</ALT_THAI>
				<ALT_ENG>Consolidate</ALT_ENG>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</CONSOLIDATE>
		<HOUR_COUNT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Count Hour</DESC_ENG>
			<DESC_THAI>นับชม. การทำงาน</DESC_THAI>
			<COMPONENT type="list">
				<SIZE>1</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<ALT_ENG>Count Hour</ALT_ENG>
				<ALT_THAI>นับชม. การทำงาน</ALT_THAI>
				<VALIDCODE>HOUR_COUNT</VALIDCODE>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</HOUR_COUNT>
		<OT_COUNT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Count OT Hour</DESC_ENG>
			<DESC_THAI>นับชม. การทำโอที</DESC_THAI>
			<COMPONENT type="list">
				<SIZE>1</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<ALT_ENG>Count OT Hour</ALT_ENG>
				<ALT_THAI>นับชม. การทำโอที</ALT_THAI>
				<VALIDCODE>OT_COUNT</VALIDCODE>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</OT_COUNT>
		<STATUS lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Status</DESC_ENG>
			<DESC_THAI>สถานะ</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>1</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<ALT_ENG>Status</ALT_ENG>
				<ALT_THAI>สถานะ</ALT_THAI>
			</COMPONENT>
<APPNAME name="PERSONAL,TA">
			<DESC_ENG>Status</DESC_ENG>
			<DESC_THAI>สถานะ</DESC_THAI>
				<COMPONENT type="Text">
				<SIZE>1</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<ALT_ENG>Status</ALT_ENG>
				<ALT_THAI>สถานะ</ALT_THAI>
				<VALIDCODE>TIME_STATUS</VALIDCODE>
			</COMPONENT></APPNAME>
			<GROUP>defaultfield</GROUP>
	</STATUS>
	<LATE_COUNT lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Count Late Type</DESC_ENG>
			<DESC_THAI>รูปแบบการนับสาย</DESC_THAI>
			<VALIDCODE>LATE_COUNT</VALIDCODE>
			<COMPONENT type="list">
				<SIZE>1</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<ALT_ENG>Count Late Type</ALT_ENG>
				<ALT_THAI>รูปแบบการนับสาย</ALT_THAI>				
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</LATE_COUNT>
		<TIMESAUTO lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Times Length To Auto</DESC_ENG>
			<DESC_THAI>ช่วงเวลาที่ห่างที่จะเติมเวลา</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Times Length To Auto [HHMM]</ALT_ENG>
				<ALT_THAI>ช่วงเวลาห่างกันที่จะเติมเวลาให้ [HHMM]</ALT_THAI>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
			<GROUP>defaultfield</GROUP>
		</TIMESAUTO>
		<!--Nuiss Add Fields 29/07/2552-->
		<LVFIXTYPE lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Fix leave</DESC_ENG>
			<DESC_THAI>คำนวณ ชม. ลา ครึ่งวัน</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Cal Balance (Hour/Day)</ALT_ENG>
				<ALT_THAI>คำนวณ ชม. ลา ครึ่งวัน</ALT_THAI>
				<VALIDCODE>LVFIXTYPE</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
			</COMPONENT>
			<DEFAULTVALUE>0</DEFAULTVALUE>
			<GROUP>defaultfield</GROUP>
		</LVFIXTYPE>
		<LVFIXHOUR lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Fix hour</DESC_ENG>
			<DESC_THAI>จำนวน ชม.</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Fix hour</ALT_ENG>
				<ALT_THAI>จำนวน ชม.</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT> 
			<APPNAME name="TA">
				<DESC_ENG>Fix hour</DESC_ENG>
				<DESC_THAI>จำนวน ชม.</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>4</MAXSIZE>
					<SIZE>5</SIZE>
					<ALT_ENG>Fix hour</ALT_ENG>
					<ALT_THAI>จำนวน ชม.</ALT_THAI>
					<DEFAULTVALUE>0.00</DEFAULTVALUE>
					<ONFOCUS>this.select();</ONFOCUS>
					<ONKEYPRESS>chkInteger();</ONKEYPRESS>
					<ONBLUR>chkTime(this);</ONBLUR>
				</COMPONENT>
			</APPNAME>
			<GROUP>defaultfield</GROUP>
		</LVFIXHOUR>
		<MINOTBREAK lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>MINOTBREAK</DESC_ENG>
			<DESC_THAI>MINOTBREAK</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>MINOTBREAK</ALT_ENG>
				<ALT_THAI>MINOTBREAK</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT> 
			<APPNAME name="TA">
				<DESC_ENG>MINOTBREAK</DESC_ENG>
				<DESC_THAI>MINOTBREAK</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>4</MAXSIZE>
					<SIZE>5</SIZE>
					<ALT_ENG>MINOTBREAK</ALT_ENG>
					<ALT_THAI>MINOTBREAK</ALT_THAI>
					<DEFAULTVALUE>0.00</DEFAULTVALUE>
					<ONFOCUS>this.select();</ONFOCUS>
					<ONKEYPRESS>chkInteger();</ONKEYPRESS>
					<ONBLUR>chkTime(this);</ONBLUR>
				</COMPONENT>
			</APPNAME>
			<GROUP>defaultfield</GROUP>
		</MINOTBREAK>
		<MAXOTBREAK lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>MAXOTBREAK</DESC_ENG>
			<DESC_THAI>MAXOTBREAK</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>MAXOTBREAK</ALT_ENG>
				<ALT_THAI>MAXOTBREAK</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT> 
			<APPNAME name="TA">
				<DESC_ENG>MAXOTBREAK</DESC_ENG>
				<DESC_THAI>MAXOTBREAK</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>4</MAXSIZE>
					<SIZE>5</SIZE>
					<ALT_ENG>MAXOTBREAK</ALT_ENG>
					<ALT_THAI>MAXOTBREAK</ALT_THAI>
					<DEFAULTVALUE>0.00</DEFAULTVALUE>
					<ONFOCUS>this.select();</ONFOCUS>
					<ONKEYPRESS>chkInteger();</ONKEYPRESS>
					<ONBLUR>chkTime(this);</ONBLUR>
				</COMPONENT>
			</APPNAME>
			<GROUP>defaultfield</GROUP>
		</MAXOTBREAK>
		<BZIN lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>BZIN</DESC_ENG>
			<DESC_THAI>BZIN</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>BZIN</ALT_ENG>
				<ALT_THAI>BZIN</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT> 
			<APPNAME name="TA">
				<DESC_ENG>BZIN</DESC_ENG>
				<DESC_THAI>BZIN</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>4</MAXSIZE>
					<SIZE>5</SIZE>
					<ALT_ENG>BZIN</ALT_ENG>
					<ALT_THAI>BZIN</ALT_THAI>
					<DEFAULTVALUE>0.00</DEFAULTVALUE>
					<ONFOCUS>this.select();</ONFOCUS>
					<ONKEYPRESS>chkInteger();</ONKEYPRESS>
					<ONBLUR>chkTime(this);</ONBLUR>
				</COMPONENT>
			</APPNAME>
			<GROUP>defaultfield</GROUP>
		</BZIN>
		<BZOUT lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>BZOUT</DESC_ENG>
			<DESC_THAI>BZOUT</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>BZOUT</ALT_ENG>
				<ALT_THAI>BZOUT</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT> 
			<APPNAME name="TA">
				<DESC_ENG>BZOUT</DESC_ENG>
				<DESC_THAI>BZOUT</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>4</MAXSIZE>
					<SIZE>5</SIZE>
					<ALT_ENG>BZOUT</ALT_ENG>
					<ALT_THAI>BZOUT</ALT_THAI>
					<DEFAULTVALUE>0.00</DEFAULTVALUE>
					<ONFOCUS>this.select();</ONFOCUS>
					<ONKEYPRESS>chkInteger();</ONKEYPRESS>
					<ONBLUR>chkTime(this);</ONBLUR>
				</COMPONENT>
			</APPNAME>
			<GROUP>defaultfield</GROUP>
		</BZOUT>
		<!--Nuiss Add Fields 07/08/2552-->
		<BINRANGE lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>BINRANGE</DESC_ENG>
			<DESC_THAI>BINRANGE</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>BINRANGE</ALT_ENG>
				<ALT_THAI>BINRANGE</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT> 
			<APPNAME name="TA">
				<DESC_ENG>BINRANGE</DESC_ENG>
				<DESC_THAI>BINRANGE</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>4</MAXSIZE>
					<SIZE>5</SIZE>
					<ALT_ENG>BINRANGE</ALT_ENG>
					<ALT_THAI>BINRANGE</ALT_THAI>
					<DEFAULTVALUE>0.00</DEFAULTVALUE>
					<ONFOCUS>this.select();</ONFOCUS>
					<ONKEYPRESS>chkInteger();</ONKEYPRESS>
					<ONBLUR>chkTime(this);</ONBLUR>
				</COMPONENT>
			</APPNAME>
			<GROUP>defaultfield</GROUP>
		</BINRANGE>
		<BOUTRANGE lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>BOUTRANGE</DESC_ENG>
			<DESC_THAI>BOUTRANGE</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>BOUTRANGE</ALT_ENG>
				<ALT_THAI>BOUTRANGE</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT> 
			<APPNAME name="TA">
				<DESC_ENG>BOUTRANGE</DESC_ENG>
				<DESC_THAI>BOUTRANGE</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>4</MAXSIZE>
					<SIZE>5</SIZE>
					<ALT_ENG>BOUTRANGE</ALT_ENG>
					<ALT_THAI>BOUTRANGE</ALT_THAI>
					<DEFAULTVALUE>0.00</DEFAULTVALUE>
					<ONFOCUS>this.select();</ONFOCUS>
					<ONKEYPRESS>chkInteger();</ONKEYPRESS>
					<ONBLUR>chkTime(this);</ONBLUR>
				</COMPONENT>

			</APPNAME>
			<GROUP>defaultfield</GROUP>
		</BOUTRANGE>
		<BLIMIT lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>BLIMIT</DESC_ENG>
			<DESC_THAI>BLIMIT</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>BLIMIT</ALT_ENG>
				<ALT_THAI>BLIMIT</ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal();</ONKEYPRESS>
			</COMPONENT> 
			<APPNAME name="TA">
				<DESC_ENG>BLIMIT</DESC_ENG>
				<DESC_THAI>BLIMIT</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>4</MAXSIZE>
					<SIZE>5</SIZE>
					<ALT_ENG>BLIMIT</ALT_ENG>
					<ALT_THAI>BLIMIT</ALT_THAI>
					<DEFAULTVALUE>0.00</DEFAULTVALUE>
					<ONFOCUS>this.select();</ONFOCUS>
					<ONKEYPRESS>chkInteger();</ONKEYPRESS>
					<ONBLUR>chkTime(this);</ONBLUR>
				</COMPONENT>
			</APPNAME>
			<GROUP>defaultfield</GROUP>
		</BLIMIT>
		<BREAKTYPE lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>1</WIDTH>
			<DESC_ENG>BREAKTYPE</DESC_ENG>
			<DESC_THAI>BREAKTYPE</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>BREAKTYPE</ALT_ENG>
				<ALT_THAI>BREAKTYPE</ALT_THAI>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</BREAKTYPE>
		<!--Nuiss Add Fields-->
		<SHIFTLASTLONG lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Absent after shift end period</DESC_ENG>
			<DESC_THAI>ช่วงเวลาประมวลผลที่ยังไม่กำหนดขาดงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Absent after shift end period</ALT_ENG>
				<ALT_THAI>ช่วงเวลาประมวลผลที่ยังไม่กำหนดขาดงาน [HHMM]</ALT_THAI>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
				<DEFAULTVALUE>6.00</DEFAULTVALUE>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
			<GROUP>defaultfield</GROUP>
		</SHIFTLASTLONG>
		<SHIFT lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Shift Allowance</DESC_ENG>
			<DESC_THAI>ค่ากะ</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Shift Allowance</ALT_ENG>
				<ALT_THAI>ค่ากะ</ALT_THAI>
				<VALIDCODE>SHIFT</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</SHIFT>
		<SHIFT_NUM lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Amount</DESC_ENG>
			<DESC_THAI>จำนวนเงิน</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Amount</ALT_ENG>
				<ALT_THAI>จำนวนเงิน</ALT_THAI>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</SHIFT_NUM>
		<!-- split shift -->
		<SPLIT_SHIFT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Split shift</DESC_ENG>
			<DESC_THAI>กะแยก</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Split shift</ALT_ENG>
				<ALT_THAI>กะแยก</ALT_THAI>
				<VALIDCODE>YESNO</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</SPLIT_SHIFT>
		<!-- night shift -->
		<NIGHT_SHIFT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Night shift</DESC_ENG>
			<DESC_THAI>กะดึก</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Night shift</ALT_ENG>
				<ALT_THAI>กะดึก</ALT_THAI>
				<VALIDCODE>YESNO</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</NIGHT_SHIFT>
		<!-- leave balance calculating status  -->
		<CAL_BALANCE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Cal Balance (Hour/Day)</DESC_ENG>
			<DESC_THAI>คำนวณ ชม. ลาเต็มวัน</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Cal Balance (Hour/Day)</ALT_ENG>
				<ALT_THAI>คำนวณ ชม. ลาเต็มวัน</ALT_THAI>
				<VALIDCODE>CALBAL</VALIDCODE>
				<DEFAULTVALUE>1</DEFAULTVALUE>
			</COMPONENT>
			<GROUP>defaultfield</GROUP>
		</CAL_BALANCE>
	</FIELD>
	<RELATION>
		<MTIME1>
			<PARENT>MTIME0.TIME0ID</PARENT>
			<PARENT>MTIME0.COMPANYID</PARENT>
			<CHILD>MTIME1.TIME0ID</CHILD>
			<CHILD>MTIME1.COMPANYID</CHILD>
		</MTIME1>
	  	<SIMTIME1 rtablename="MTIME0" deletelevel="0" mode="-1" dependlevel="false">
	     	<PARENT>MTIME0.TIME0ID</PARENT>
	     	<PARENT>MTIME0.COMPANYID</PARENT>
	     	<CHILD>MTIME1.TIME0ID</CHILD>
	     	<CHILD>MTIME1.COMPANYID</CHILD>
	  	</SIMTIME1>
	   	<MTIME2 deletelevel="1">
	     	<PARENT>MTIME0.TIME0ID</PARENT>
	     	<PARENT>MTIME0.COMPANYID</PARENT>
	     	<CHILD>MTIME2.TIME0ID</CHILD>
	     	<CHILD>MTIME2.COMPANYID</CHILD>
	   	</MTIME2>
		<SIMEMPLOYEE rtablename="MEMPLOYEE">
	     	<PARENT>TIME0.TIME0ID</PARENT>
	     	<PARENT>MTIME0.COMPANYID</PARENT>
	     	<CHILD>SIMEMPLOYEE.TIME0</CHILD>
	     	<CHILD>SIMEMPLOYEE.COMPANYID</CHILD>
	 	</SIMEMPLOYEE>
		<MEMPLOYEE mode="0" >
			<PARENT>MTIME0.TIME0ID</PARENT>
			<PARENT>MTIME0.COMPANYID</PARENT>
			<CHILD>MEMPLOYEE.TIME0</CHILD>
			<CHILD>MEMPLOYEE.COMPANYID</CHILD>
		</MEMPLOYEE>
		<MROUND mode = "0">
			<PARENT>MTIME0.LATESTANG</PARENT>
			<CHILD>MROUND.ROUNDID</CHILD>
		</MROUND>
		<V1MROUND rtablename="MROUND" mode = "0">
			<PARENT>MTIME0.OTSTANG</PARENT>
			<CHILD>V1MROUND.ROUNDID</CHILD>
		</V1MROUND>
		<V2MROUND rtablename="MROUND" mode = "0">
			<PARENT>MTIME0.STOPSTANG</PARENT>
			<CHILD>V2MROUND.ROUNDID</CHILD>
		</V2MROUND>
		<V3MROUND rtablename="MROUND" mode = "0">
			<PARENT>MTIME0.MIDSTANG</PARENT>
			<CHILD>V3MROUND.ROUNDID</CHILD>
		</V3MROUND>
		<V4MROUND rtablename="MROUND" mode = "0">
			<PARENT>MTIME0.MIDLTSTANG</PARENT>
			<CHILD>V4MROUND.ROUNDID</CHILD>
		</V4MROUND>
		<TADJTIME0>
			<PARENT>MTIME0.TIME0ID</PARENT>
			<PARENT>MTIME0.COMPANYID</PARENT>
			<CHILD>TADJTIME0.TIME0ID</CHILD>
			<CHILD>TADJTIME0.COMPANYID</CHILD>
		</TADJTIME0>
		<TTIMETEMP>
			<PARENT>MTIME0.TIME0ID</PARENT>
			<PARENT>MTIME0.COMPANYID</PARENT>
			<CHILD>TTIMETEMP.TIME0ID</CHILD>
			<CHILD>TTIMETEMP.COMPANYID</CHILD>
		</TTIMETEMP>
		<TTIMEERROR>
			<PARENT>MTIME0.TIME0ID</PARENT>
			<PARENT>MTIME0.COMPANYID</PARENT>
			<CHILD>TTIMEERROR.TIME0ID</CHILD>
			<CHILD>TTIMEERROR.COMPANYID</CHILD>
		</TTIMEERROR>

		<TTIME_CURRENT>
			<PARENT>MTIME0.TIME0ID</PARENT>
			<PARENT>MTIME0.COMPANYID</PARENT>
			<CHILD>TTIME_CURRENT.TIME0ID</CHILD>
			<CHILD>TTIME_CURRENT.COMPANYID</CHILD>
		</TTIME_CURRENT>
		<TOT mode="0">
			<PARENT>MTIME0.TIME0ID</PARENT>
			<PARENT>MTIME0.COMPANYID</PARENT>
			<CHILD>TOT.OT_TIME0</CHILD>
			<CHILD>TOT.COMPANYID</CHILD>
		</TOT>
		<TOT1 mode="0">
			<PARENT>MTIME0.TIME0ID</PARENT>
			<PARENT>MTIME0.COMPANYID</PARENT>
			<CHILD>TOT1.OT_TIME0</CHILD>
			<CHILD>TOT1.COMPANYID</CHILD>
		</TOT1>
		<TOT_M_DATE1 mode="0">
			<PARENT>MTIME0.TIME0ID</PARENT>
			<PARENT>MTIME0.COMPANYID</PARENT>
			<CHILD>TOT_M_DATE1.OT_TIME0</CHILD>
			<CHILD>TOT_M_DATE1.COMPANYID</CHILD>
		</TOT_M_DATE1>
		<SIMHADJPOSITION rtablename="HADJPOSITION" mode="0">
			<PARENT>MTIME0.TIME0ID</PARENT>
			<PARENT>MTIME0.COMPANYID</PARENT>
			<CHILD>SIMHADJPOSITION.TIME0</CHILD>
			<CHILD>SIMHADJPOSITION.COMPANYID</CHILD>
		</SIMHADJPOSITION>
		<SIMHADJPOSITION rtablename="HADJPOSITION" mode="0">
			<PARENT>V1MTIME0.TIME0ID</PARENT>
			<PARENT>V1MTIME0.COMPANYID</PARENT>
			<CHILD>SIMHADJPOSITION.OLD_TIME0</CHILD>
			<CHILD>SIMHADJPOSITION.COMPANYID</CHILD>
		</SIMHADJPOSITION>
		<TTIME_HISTORY>		
			<PARENT>MTIME0.TIME0ID</PARENT>
			<PARENT>MTIME0.COMPANYID</PARENT>
			<CHILD>TTIME_HISTORY.TIME0ID</CHILD>	
			<CHILD>TTIME_HISTORY.COMPANYID</CHILD>
		</TTIME_HISTORY>
		<HISMEMPL_TIME0TRANS>		
			<PARENT>MTIME0.TIME0ID</PARENT>
			<PARENT>MTIME0.COMPANYID</PARENT>
			<CHILD>HISMEMPL_TIME0TRANS.TIME0</CHILD>	
			<CHILD>HISMEMPL_TIME0TRANS.COMPANYID</CHILD>
		</HISMEMPL_TIME0TRANS>
		<TOT_MPAYMENT1 mode="0">
			<PARENT>MTIME0.TIME0ID</PARENT>
			<PARENT>MTIME0.COMPANYID</PARENT>
			<CHILD>TOT_MPAYMENT1.OT_TIME0</CHILD>
			<CHILD>TOT_MPAYMENT1.COMPANYID</CHILD>
		</TOT_MPAYMENT1>
		<MEMPL_TIME0TRANS>
			<PARENT>MTIME0.TIME0ID</PARENT>
			<PARENT>MTIME0.COMPANYID</PARENT>
			<CHILD>MEMPL_TIME0TRANS.TIME0ID</CHILD>
			<CHILD>MEMPL_TIME0TRANS.COMPANYID</CHILD>
		</MEMPL_TIME0TRANS>
		</RELATION>
</MTIME0>
